document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      const target = document.querySelector(this.getAttribute('href'));
      if (target) {
        target.scrollIntoView({
          behavior: 'smooth',
          block: 'start'
        });
      }
    });
  });

  // Form submission handler
  const form = document.getElementById('contact-form');
  if (form) {
    form.addEventListener('submit', (e) => {
      e.preventDefault();
      const email = form.querySelector('input[type="email"]').value;
      
      // Simulate form submission
      const button = form.querySelector('button');
      const originalText = button.textContent;
      button.textContent = 'Processing...';
      button.disabled = true;

      setTimeout(() => {
        alert(`Thank you! We'll contact you at ${email} soon.`);
        form.reset();
        button.textContent = originalText;
        button.disabled = false;
      }, 1500);
    });
  }

  // Add scroll-based animations
  const animateOnScroll = () => {
    const elements = document.querySelectorAll('.feature-card, .step, .demo-container');
    
    elements.forEach(element => {
      const elementTop = element.getBoundingClientRect().top;
      const elementBottom = element.getBoundingClientRect().bottom;
      
      if (elementTop < window.innerHeight && elementBottom > 0) {
        element.style.opacity = '1';
        element.style.transform = 'translateY(0)';
      }
    });
  };

  // Initialize animations
  document.querySelectorAll('.feature-card, .step, .demo-container').forEach(element => {
    element.style.opacity = '0';
    element.style.transform = 'translateY(20px)';
    element.style.transition = 'opacity 0.6s ease, transform 0.6s ease';
  });

  // Add scroll listener for animations
  window.addEventListener('scroll', animateOnScroll);
  animateOnScroll(); // Initial check
});
